# IsTrueCondition

Extends \ProjectComponent Implements \Condition

Condition that tests whether a given string evals to true.

author | Hans Lellelid hans@xmpl.org (Phing)
author | Steve Loughran (Ant)
package | phing.tasks.system.condition

### Methods

## return the inverted value;

    evaluate() : boolean

throws | if someone forgot to spec a value

### Response

`boolean`

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## Set the value to be tested.

    setValue(boolean $value)

### Arguments

#### $value

`boolean`

### Properties

## what we eval

    value :

### Type(s)

``

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`